# OgreZip.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreArchive.h"`
`#include "OgreArchiveFactory.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::ZipArchive
| Specialisation of the Archive class to allow reading of files from a zip format source archive. More...
class | Ogre::ZipArchiveFactory
| Specialisation of ArchiveFactory for Zip files. More...
class | Ogre::ZipDataStream
| Specialisation of DataStream to handle streaming data from zip archives. More...

## Typedefs

typedef struct zzip_dir | ZZIP_DIR
typedef struct zzip_file | ZZIP_FILE

## Typedef Documentation

typedef struct zzip_dir ZZIP_DIR

Definition at line 38 of file OgreZip.h.

typedef struct zzip_file ZZIP_FILE

Definition at line 39 of file OgreZip.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:06 2008